<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace ModStart\Grid; use Closure; use Illuminate\Support\Facades\Input; use Illuminate\Support\Facades\View; use ModStart\Core\Dao\DynamicModel; use ModStart\Core\Dao\ModelUtil; use ModStart\Core\Exception\BizException; use ModStart\Core\Input\InputPackage; use ModStart\Core\Input\Response; use ModStart\Core\Util\IdUtil; use ModStart\Core\Util\RenderUtil; use ModStart\Core\Util\TreeUtil; use ModStart\Detail\Detail; use ModStart\Field\AbstractField; use ModStart\Field\Type\FieldRenderMode; use ModStart\Form\Form; use ModStart\Grid\Concerns\HasGridFilter; use ModStart\Grid\Concerns\HasItemOperate; use ModStart\Grid\Concerns\HasPaginator; use ModStart\Grid\Concerns\HasSort; use ModStart\Grid\Type\GridEngine; use ModStart\Repository\Filter\HasRepositoryFilter; use ModStart\Repository\Filter\HasScopeFilter; use ModStart\Repository\Repository; use ModStart\Support\Concern\HasBuilder; use ModStart\Support\Concern\HasFields; use ModStart\Support\Concern\HasFluentAttribute; use ModStart\Support\Manager\FieldManager; class Grid { use HasBuilder, HasFields, HasFluentAttribute, HasGridFilter, HasItemOperate, HasPaginator, HasSort, HasScopeFilter, HasRepositoryFilter; private $id; private $model; protected $fluentAttributes = array('view', 'engine', 'title', 'titleAdd', 'titleEdit', 'titleShow', 'titleImport', 'canAdd', 'canEdit', 'canDelete', 'canShow', 'canExport', 'canImport', 'canCopy', 'canMultiSelectItem', 'canSingleSelectItem', 'canBatchDelete', 'canBatchSelect', 'canSort', 'urlAdd', 'urlEdit', 'textEdit', 'urlDelete', 'urlShow', 'urlExport', 'urlImport', 'urlSort', 'addDialogSize', 'editDialogSize', 'showDialogSize', 'importDialogSize', 'addBlankPage', 'editBlankPage', 'enablePagination', 'defaultOrder', 'treeMaxLevel', 'treeRootPid', 'batchOperatePrepend', 'gridOperateAppend', 'hookPrepareItems', 'gridRowCols', 'defaultPageSize', 'pageSizes', 'gridToolbar'); private $engine = 'basic'; private $title; private $titleAdd; private $titleEdit; private $titleShow; private $titleImport; private $canAdd = true; private $canEdit = true; private $canDelete = true; private $canShow = true; private $canExport = false; private $canImport = false; private $canCopy = false; private $canMultiSelectItem = false; private $canSingleSelectItem = false; private $canBatchDelete = false; private $canBatchSelect = false; private $canSort = false; private $urlAdd; private $urlEdit; private $textEdit; private $urlDelete; private $urlShow; private $urlExport; private $urlImport; private $urlSort; private $addDialogSize = array('95%', '95%'); private $editDialogSize = array('95%', '95%'); private $showDialogSize = array('95%', '95%'); private $importDialogSize = array('95%', '95%'); private $addBlankPage = false; private $editBlankPage = false; private $enablePagination = true; private $defaultOrder = array(); private $treeMaxLevel = 0; private $treeRootPid = 0; private $batchOperatePrepend = ''; private $gridOperateAppend = ''; private $gridRowCols = null; private $defaultPageSize = 10; private $pageSizes = array(10, 50, 100); private $gridToolbar = array(); private $hookPrepareItems = null; private $gridTableTops = array(); private $gridRequestScript = null; private $gridBeforeRequestScript = null; private $isBuilt = false; private $isDynamicModel = false; private $dynamicModelTableName; private $view = 'modstart::core.grid.index'; private $bodyAppend = ''; public function __construct($OUefN = null, \Closure $A7t6P = null) { goto V6jPC; QJcPa: $this->model = new Model($this, $OUefN); goto DJXdB; YbRWQ: $this->setupItemOperate(); goto zjJ01; zjJ01: $this->builder($A7t6P); goto BMU9C; ge_39: $this->fieldDefaultRenderMode(FieldRenderMode::GRID); goto MY0JF; MY0JF: $this->setupRepositoryFilter(); goto iZYSr; iZYSr: $this->setupGridFilter(); goto YbRWQ; DJXdB: $this->setupFields(); goto ge_39; V6jPC: $this->id = IdUtil::generate('Grid'); goto QJcPa; BMU9C: } public static function make($Jzwpz, \Closure $A7t6P = null) { goto tHOeQ; zVuO7: $Jk858 = new Grid(DynamicModel::make($Jzwpz), $A7t6P); goto ySr7y; VK2N5: $Jk858->dynamicModelTableName = $Jzwpz; goto edMd8; edMd8: return $Jk858; goto oV5DY; ySr7y: $Jk858->isDynamicModel = true; goto VK2N5; tHOeQ: if (class_exists($Jzwpz)) { if (is_subclass_of($Jzwpz, \Illuminate\Database\Eloquent\Model::class) || is_subclass_of($Jzwpz, Repository::class)) { return new Grid($Jzwpz, $A7t6P); } } goto zVuO7; oV5DY: } public function useSimple($v38pB) { goto a0i9j; VLTfB: $this->disableItemOperate(); goto UPmnr; a0i9j: $this->view = 'modstart::core.grid.simple'; goto VLTfB; UPmnr: $this->display('html', 'html')->hookRendering($v38pB); goto bskxd; bskxd: return $this; goto dYeg6; dYeg6: } public function asTree($jTaEo = 'id', $H1u3C = 'pid', $fpgdc = 'sort', $cj5Z_ = 'title') { goto I7oAv; jRvm7: $this->repository()->setSortColumn($fpgdc); goto ZUA5I; I7oAv: $this->repository()->setKeyName($jTaEo); goto iab0B; yHQXV: $this->enablePagination(false); goto H9cEz; H9cEz: $this->canSort(true); goto U9lrp; ZUA5I: $this->repository()->setTreeTitleColumn($cj5Z_); goto DFO6M; iab0B: $this->repository()->setTreePidColumn($H1u3C); goto jRvm7; U9lrp: return $this; goto gqmvV; DFO6M: $this->engine = GridEngine::TREE; goto yHQXV; gqmvV: } public function asTreeMass($e2Wu3 = 0, $jTaEo = 'id', $H1u3C = 'pid', $fpgdc = 'sort', $cj5Z_ = 'title') { goto oolJl; fLbON: $this->repository()->setSortColumn($fpgdc); goto rSKCr; TCJCl: $this->canSort(true); goto ISORN; y2RYt: $this->repository()->setTreePidColumn($H1u3C); goto fLbON; ISORN: return $this; goto Gywea; oolJl: $this->repository()->setKeyName($jTaEo); goto y2RYt; Mha_f: $this->enablePagination(false); goto TCJCl; rSKCr: $this->repository()->setTreeTitleColumn($cj5Z_); goto oFI34; oFI34: $this->engine = GridEngine::TREE_MASS; goto Mha_f; Gywea: } public function canBatchDelete($ffTRJ = null) { goto Dvds5; Dvds5: if (null === $ffTRJ) { return $this->canBatchDelete; } goto hDOQB; KtwhA: $this->canMultiSelectItem(true); goto r6_xe; r6_xe: return $this; goto oQYPL; hDOQB: $this->canBatchDelete = true; goto KtwhA; oQYPL: } public function canBatchSelect($ffTRJ = null) { goto CbuN5; Zn_VP: $this->canBatchSelect = true; goto LYZKS; CbuN5: if (null === $ffTRJ) { return $this->canBatchSelect; } goto Zn_VP; LYZKS: $this->canMultiSelectItem(true); goto Pw8_n; Pw8_n: return $this; goto V9ubZ; V9ubZ: } public function disableCUD() { $this->canAdd(false)->canEdit(false)->canDelete(false); return $this; } public function dialogSizeSmall() { return $this->addDialogSize(array('600px', '90%'))->editDialogSize(array('600px', '90%'))->showDialogSize(array('600px', '90%')); } public function repository() { return $this->model->repository(); } public function getRepositoryKeyName() { return $this->model->repository()->getKeyName(); } public function gridFilter(Closure $D1ri3) { call_user_func($D1ri3, $this->gridFilter); return $this; } public function gridRequestScript($Jh1bY) { $this->gridRequestScript = $Jh1bY; return $this; } public function gridBeforeRequestScriptView($Atj1e) { return $this->gridBeforeRequestScript(RenderUtil::viewScript($Atj1e)); } public function gridBeforeRequestScript($M_52E) { $this->gridBeforeRequestScript = $M_52E; return $this; } public function gridTableTopView($Atj1e) { return $this->gridTableTop(View::make($Atj1e, array())->render()); } public function gridTableTop($FGAIG) { goto KoYUY; HzJMo: $this->gridTableTops[] = $FGAIG; goto cSwfn; cSwfn: return $this; goto a7k3n; KoYUY: if ($FGAIG instanceof Closure) { $FGAIG = call_user_func($FGAIG, $this); } goto HzJMo; a7k3n: } public function bodyAppend($FGAIG) { $this->bodyAppend = $FGAIG; return $this; } public function build() { if (!$this->isBuilt) { goto vHpMn; xw7MY: $this->prepareItemOperateField(); goto PYT0Z; PYT0Z: $this->isBuilt = true; goto q6G4Y; vHpMn: $this->runBuilder(); goto xw7MY; q6G4Y: } } public function executeQuery() { goto qhKoW; dfzGu: return $this->gridFilter->executeQuery(); goto uDVIz; LvAfs: $this->gridFilter->setSearch($mBM8F->getArray('search')); goto dfzGu; qhKoW: $this->build(); goto XVnw5; Bneii: $this->repository()->setArgument(array('page' => $mBM8F->getPage(), 'pageSize' => $mBM8F->getPageSize(null, null, 1000, $this->defaultPageSize), 'order' => $mBM8F->getArray($this->model->getOrderName()), 'orderDefault' => $this->defaultOrder)); goto LvAfs; XVnw5: $mBM8F = InputPackage::buildFromInput(); goto Bneii; uDVIz: } public function request() { goto oSYMP; ROAe4: if ($this->engine === GridEngine::TREE_MASS) { goto zSHcT; bXL8h: $MUruw = view('modstart::core.grid.treeAncestor', array('treeAncestors' => $fnwYM, 'grid' => $this))->render(); goto DvmCR; D5s3I: $this->repository()->setArgument(array('treeRootPid' => $this->treeRootPid, 'treePid' => $BKaid)); goto uwhA7; uwhA7: if ($BKaid != $this->treeRootPid) { $fnwYM = $this->repository()->getTreeAncestorItems(); } goto bXL8h; zSHcT: $BKaid = $mBM8F->get('_pid', $this->treeRootPid); goto D5s3I; DvmCR: } goto EviPm; GoQfk: return Response::jsonSuccessData(array('head' => $US5jB, 'page' => $IFAdD ? $IFAdD->currentPage() : 1, 'pageSize' => $IFAdD ? $IFAdD->perPage() : count($EzTIi), 'total' => $IFAdD ? $IFAdD->total() : count($EzTIi), 'records' => $EzTIi, 'addition' => $MUruw, 'script' => $M_52E)); goto ncOa6; Qohmh: $EzTIi = array(); goto I9to7; tAnjz: foreach ($this->listableFields() as $KO82c) { goto WtDDc; n_Tct: $Vp7Kd = array('field' => $KO82c->column(), 'title' => $KO82c->label(), 'sort' => $KO82c->sortable()); goto mdnz3; mdnz3: if ($KO82c->width() !== '') { $Vp7Kd['width'] = $KO82c->width(); } else { $Vp7Kd['withAuto'] = true; } goto iC1Q8; iC1Q8: if ($KO82c->gridFixed()) { $Vp7Kd['fixed'] = $KO82c->gridFixed(); } goto mT33N; WtDDc: if ($KO82c->isLayoutField()) { continue; } goto n_Tct; mT33N: $US5jB[] = $Vp7Kd; goto FwY3i; FwY3i: } goto lbfFG; y0m8H: if ($this->engine == GridEngine::TREE) { goto gtjFl; gtjFl: $tc0A4 = $this->repository()->getKeyName(); goto ZZoND; NfD8s: $gMLUg = TreeUtil::itemsMergeLevel($gMLUg, $tc0A4, $bH9LO, $PiUpb); goto zzJOs; fKjdm: $PiUpb = $this->repository()->getTreeSortColumn(); goto NfD8s; ZZoND: $bH9LO = $this->repository()->getTreePidColumn(); goto fKjdm; zzJOs: } goto twnUB; V29Ix: if (!is_null($this->gridRequestScript)) { $M_52E = call_user_func($this->gridRequestScript, $this); } goto GoQfk; OQt6l: $mBM8F = InputPackage::buildFromInput(); goto fTmA1; c9Hff: if ($this->hookPrepareItems) { $gMLUg = call_user_func($this->hookPrepareItems, $this, $gMLUg); } goto Qohmh; fTmA1: $this->repository()->setArgument(array('page' => $mBM8F->getPage(), 'pageSize' => $mBM8F->getPageSize(null, null, 1000, $this->defaultPageSize), 'order' => $mBM8F->getArray($this->model->getOrderName()), 'orderDefault' => $this->defaultOrder)); goto N_74Y; N_74Y: $fnwYM = array(); goto ROAe4; q54_k: $this->build(); goto OQt6l; oSYMP: $MUruw = null; goto q54_k; TMvo1: $US5jB = array(); goto tAnjz; lbfFG: $M_52E = null; goto V29Ix; EviPm: $this->gridFilter->setSearch($mBM8F->getArray('search')); goto P8Cuw; P8Cuw: $gMLUg = $this->gridFilter->execute(); goto y0m8H; I9to7: foreach ($gMLUg as $pbtih => $zc3K4) { goto pXrCH; Md6kK: if ($zc3K4 instanceof \Illuminate\Database\Eloquent\Model) { $VpHLm = array_keys($zc3K4->getAttributes()); } else { if ($zc3K4 instanceof \stdClass) { $VpHLm = array_keys(get_object_vars($zc3K4)); } else { BizException::throws('Grid item support Model|stdClass only'); } } goto Q2oki; Q2oki: $Vp7Kd = array(); goto BXhbQ; pXrCH: $VpHLm = array(); goto Md6kK; cUXB6: foreach ($this->listableFields() as $KO82c) { goto MsOjG; oHXJv: if (in_array($KO82c->column(), $VpHLm) || $zc3K4 instanceof \Illuminate\Database\Eloquent\Model && method_exists($zc3K4, $KO82c->column())) { goto ey62U; Ff1Hd: $KO82c->item($zc3K4); goto pvVjs; ey62U: $ffTRJ = $zc3K4->{$KO82c->column()}; goto IkivE; MxOiE: if ($KO82c->hookValueUnserialize()) { $ffTRJ = call_user_func($KO82c->hookValueUnserialize(), $ffTRJ, $KO82c); } goto Ff1Hd; pvVjs: $ffTRJ = $KO82c->unserializeValue($ffTRJ, $KO82c); goto O6XhM; h10Sx: $zc3K4->{$KO82c->column()} = $ffTRJ; goto ZjU3q; O6XhM: if ($KO82c->hookFormatValue()) { $ffTRJ = call_user_func($KO82c->hookFormatValue(), $ffTRJ, $KO82c); } goto h10Sx; IkivE: $KO82c->item($zc3K4); goto MxOiE; ZjU3q: } else { goto x3ukZ; x3ukZ: $KO82c->item($zc3K4); goto KFEMF; KFEMF: if (str_contains($KO82c->column(), '.')) { $ffTRJ = ModelUtil::traverse($zc3K4, $KO82c->column()); } goto dFh3A; dFh3A: if ($KO82c->hookValueUnserialize()) { $ffTRJ = call_user_func($KO82c->hookValueUnserialize(), $ffTRJ, $KO82c); } goto gzo1Y; jgEwb: if ($KO82c->hookFormatValue()) { $ffTRJ = call_user_func($KO82c->hookFormatValue(), $ffTRJ, $KO82c); } goto SB01l; gzo1Y: $ffTRJ = $KO82c->unserializeValue($ffTRJ, $KO82c); goto jgEwb; SB01l: } goto iorro; iorro: $KO82c->setValue($ffTRJ); goto eJZeK; nJEUP: if ($this->engine == GridEngine::TREE && $KO82c->column() == $this->repository()->getTreeTitleColumn()) { $OyMSN = str_repeat('&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;', $zc3K4->_level - 1) . '<a class="tree-arrow-icon ub-text-muted" href="javascript:;"><i class="icon iconfont icon-angle-right"></i></a> '; $Vp7Kd[$KO82c->column()] = $OyMSN . $Vp7Kd[$KO82c->column()]; } else { if ($this->engine == GridEngine::TREE_MASS && $KO82c->column() == $this->repository()->getTreeTitleColumn()) { if (count($fnwYM) < $this->treeMaxLevel() - 1) { $Vp7Kd[$KO82c->column()] = '<span class="tree-arrow-icon ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span>' . '<a class="ub-text-primary" href="?_pid=' . $Vp7Kd['_id'] . '" title="' . L('Manage') . '"><i class="icon iconfont icon-sign"></i> ' . htmlspecialchars($Vp7Kd[$KO82c->column()]) . '</a>'; } else { $Vp7Kd[$KO82c->column()] = '<span class="tree-arrow-icon ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span>' . $Vp7Kd[$KO82c->column()]; } } } goto W_k6m; eJZeK: $KO82c->item($zc3K4); goto lkNMg; MsOjG: if ($KO82c->isLayoutField()) { continue; } goto E3l2S; E3l2S: $ffTRJ = null; goto oHXJv; lkNMg: $Vp7Kd[$KO82c->column()] = $KO82c->renderView($KO82c, $zc3K4, $pbtih); goto nJEUP; W_k6m: } goto rzWN6; rzWN6: $EzTIi[] = $Vp7Kd; goto eVmv7; BXhbQ: $Vp7Kd['_id'] = '' . $zc3K4->{$this->repository()->getKeyName()}; goto cUXB6; eVmv7: } goto TMvo1; twnUB: $IFAdD = $this->model->paginator(); goto c9Hff; ncOa6: } public function render() { goto FkpcP; FkpcP: $this->build(); goto D26to; fjJ75: return view($this->view, $ODM2v)->render(); goto fT74B; D26to: $ODM2v = array_merge($this->fluentAttributeVariables(), array('id' => $this->id, 'filters' => $this->gridFilter->filters(), 'hasAutoHideFilters' => $this->gridFilter->hasAutoHideFilters(), 'grid' => $this, 'scopes' => $this->scopeFilters, 'gridTableTops' => $this->gridTableTops, 'gridBeforeRequestScript' => $this->gridBeforeRequestScript, 'scopeCurrent' => Input::get('_scope', $this->scopeDefault), 'bodyAppend' => $this->bodyAppend)); goto fjJ75; fT74B: } public function __toString() { try { return $this->render(); } catch (\Exception $WvO4h) { return $WvO4h->getMessage(); } } public function isDynamicModel() { return $this->isDynamicModel; } public function getDynamicModelTableName() { return $this->dynamicModelTableName; } public function __call($ul2BV, $fzALH) { goto sTnwl; sTnwl: switch ($ul2BV) { case 'hookSaved': case 'hookDeleting': case 'hookChanged': case 'hookDeleted': case 'hookSaving': case 'formClass': case 'gridFilter': return $this; } goto vnG5P; vnG5P: if ($this->isFluentAttribute($ul2BV)) { return $this->fluentAttribute($ul2BV, $fzALH); } goto tyysz; tyysz: return FieldManager::call($this, $ul2BV, $fzALH); goto c1a_T; c1a_T: } }